classification
Title: test_pydoc fails with the installed testsuite (2.7)
Type: behavior Stage: resolved
Components: Tests Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, doko, koobs, terry.reedy
Priority: normal Keywords:

Created on 2013-04-17 10:38 by doko, last changed 2017-06-18 18:09 by terry.reedy. This issue is now closed.

Messages (4)
msg187152 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-04-17 10:38
these are failures not seen with 3.x, running with -S doesn't help.

test_pydoc
test test_pydoc failed -- multiple errors occurred; run in verbose mode for details
1 test failed:
    test_pydoc
Re-running failed tests in verbose mode
Re-running test 'test_pydoc' in verbose mode
test_html_doc (test.test_pydoc.PyDocDocTest) ... 
--- expected
+++ got
@@ -19 +19 @@
-<dt><font face="helvetica, arial"><a href="test.pydoc_mod.html#B">B</a>
+<dt><font face="helvetica, arial">B
@@ -22 +22 @@
-<dt><font face="helvetica, arial"><a href="test.pydoc_mod.html#A">A</a>
+<dt><font face="helvetica, arial">A
@@ -56,12 +55,0 @@
-<tr bgcolor="#eeaa77">
-<td colspan=3 valign=bottom>&nbsp;<br>
-<font color="#ffffff" face="helvetica, arial"><big><strong>Functions</strong></big></font></td></tr>
-    
-<tr><td bgcolor="#eeaa77"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
-<td width="100%"><dl><dt><a name="-doc_func"><strong>doc_func</strong></a>()</dt><dd><tt>This&nbsp;function&nbsp;solves&nbsp;all&nbsp;of&nbsp;the&nbsp;world's&nbsp;problems:<br>
-hunger<br>
-lack&nbsp;of&nbsp;Python<br>
-war</tt></dd></dl>
- <dl><dt><a name="-nodoc_func"><strong>nodoc_func</strong></a>()</dt></dl>
-</td></tr></table><p>
-<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">

FAIL
test_input_strip (test.test_pydoc.PyDocDocTest) ... ok
test_issue8225 (test.test_pydoc.PyDocDocTest) ... ok
test_non_str_name (test.test_pydoc.PyDocDocTest) ... ok
test_not_here (test.test_pydoc.PyDocDocTest) ... ok
test_stripid (test.test_pydoc.PyDocDocTest) ... ok
test_text_doc (test.test_pydoc.PyDocDocTest) ... 
--- expected
+++ got
@@ -34,9 +33,0 @@
-FUNCTIONS
-    doc_func()
-        This function solves all of the world's problems:
-        hunger
-        lack of Python
-        war
-    
-    nodoc_func()
-

FAIL
test_apropos_with_bad_package (test.test_pydoc.PydocImportTest) ... FAIL
test_apropos_with_unreadable_dir (test.test_pydoc.PydocImportTest) ... FAIL
test_badimport (test.test_pydoc.PydocImportTest) ... ok
test_class (test.test_pydoc.TestDescriptions) ... ok
test_classic_class (test.test_pydoc.TestDescriptions) ... ok
test_module (test.test_pydoc.TestDescriptions) ... ok
test_namedtuple_public_underscore (test.test_pydoc.TestDescriptions) ... ERROR
test_builtin (test.test_pydoc.TestHelper) ... ok
test_keywords (test.test_pydoc.TestHelper) ... test test_pydoc failed -- multiple errors occurred
ok

======================================================================
ERROR: test_namedtuple_public_underscore (test.test_pydoc.TestDescriptions)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/test/test_pydoc.py", line 383, in test_namedtuple_public_underscore
    help(NT)
NameError: global name 'help' is not defined

======================================================================
FAIL: test_html_doc (test.test_pydoc.PyDocDocTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/test/test_pydoc.py", line 248, in test_html_doc
    self.fail("outputs are not equal, see diff above")
AssertionError: outputs are not equal, see diff above

======================================================================
FAIL: test_text_doc (test.test_pydoc.PyDocDocTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/test/test_pydoc.py", line 259, in test_text_doc
    self.fail("outputs are not equal, see diff above")
AssertionError: outputs are not equal, see diff above

======================================================================
FAIL: test_apropos_with_bad_package (test.test_pydoc.PydocImportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/test/test_pydoc.py", line 341, in test_apropos_with_bad_package
    result = run_pydoc('zqwykjv', '-k', PYTHONPATH=TESTFN)
  File "/usr/lib/python2.7/test/test_pydoc.py", line 196, in run_pydoc
    rc, out, err = assert_python_ok('-B', pydoc.__file__, *args, **env)
  File "/usr/lib/python2.7/test/script_helper.py", line 55, in assert_python_ok
    return _assert_python(True, *args, **env_vars)
  File "/usr/lib/python2.7/test/script_helper.py", line 47, in _assert_python
    "stderr follows:\n%s" % (rc, err.decode('ascii', 'ignore')))
AssertionError: Process return code is -11, stderr follows:


======================================================================
FAIL: test_apropos_with_unreadable_dir (test.test_pydoc.PydocImportTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/test/test_pydoc.py", line 351, in test_apropos_with_unreadable_dir
    result = run_pydoc('zqwykjv', '-k', PYTHONPATH=TESTFN)
  File "/usr/lib/python2.7/test/test_pydoc.py", line 196, in run_pydoc
    rc, out, err = assert_python_ok('-B', pydoc.__file__, *args, **env)
  File "/usr/lib/python2.7/test/script_helper.py", line 55, in assert_python_ok
    return _assert_python(True, *args, **env_vars)
  File "/usr/lib/python2.7/test/script_helper.py", line 47, in _assert_python
    "stderr follows:\n%s" % (rc, err.decode('ascii', 'ignore')))
AssertionError: Process return code is -11, stderr follows:


----------------------------------------------------------------------
Ran 16 tests in 3.323s

FAILED (failures=4, errors=1)
[47527 refs]
msg188148 - (view) Author: Kubilay Kocak (koobs) (Python triager) Date: 2013-04-30 10:32
I am seeing a similar set of test failures buildbots for 2.7 that are relatively recent too:

http://buildbot.python.org/all/builders/AMD64%20FreeBSD%209.0%20dtrace%2Bclang%202.7/builds/479/steps/test/logs/stdio

I cant account for test_html_doc failure but I have seen apropos tests fail in the past here due to third party modules doing funny things.

I upstreamed a fix in buildbot which addressed it as seen in this commit:

https://github.com/buildbot/buildbot/commit/126e02341c76bd5a027c2ca5a8467aa5708228f2#master/buildbot/test/__init__.py

I can test again without paramiko installed on the buildbot to see what the test failure delta is and report back
msg222308 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-04 19:10
Can this be closed as "out of date"?
msg251029 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-18 21:14
Tests all pass on win7 with installed 2.7.10 (and 3.4.3 and 3.5.0).  Is there a current failure on something else?
History
Date User Action Args
2017-06-18 18:09:05terry.reedysetstatus: open -> closed
resolution: out of date
stage: needs patch -> resolved
2015-09-18 21:14:23terry.reedysettype: behavior

messages: + msg251029
nosy: + terry.reedy
2014-07-04 19:10:46BreamoreBoysetnosy: + BreamoreBoy
messages: + msg222308
2013-04-30 10:32:04koobssetnosy: + koobs
messages: + msg188148
2013-04-17 10:39:17dokolinkissue17750 dependencies
2013-04-17 10:38:58dokocreate